Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.wsdl
Class WSDLFactoryImpl

`java.lang.Object
javax.wsdl.factory.WSDLFactory
javax.wsdl.factory.WSDLFactoryImpl
oracle.webservices.wsdl.WSDLFactoryImpl`

public class WSDLFactoryImpl
extends javax.wsdl.factory.WSDLFactoryImpl

This class is a `javax.wsdl.factory.WSDLFactory` implementation, which defines an API that enables applications to obtain a WSDLFactory capable of producing new Definitions, new WSDLReaders, and new WSDLWriters.

Since:
  10.1.3.0

Field Summary
`static String` | `WSDL_READ_TIMEOUT` The name of the system property whose value is the maximum amount of time, in seconds, that the `javax.wsdl.xml.WSDLReader` implementation will wait to receive a response to a request for a remote WSDL definition.

Constructor Summary
`WSDLFactoryImpl()`

Methods inherited from class javax.wsdl.factory.WSDLFactoryImpl
`createPopulatedExtensionRegistry, newDefinition, newPopulatedExtensionRegistry, newWSDLReader, newWSDLWriter`

Methods inherited from class javax.wsdl.factory.WSDLFactory
`newInstance, newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_READ_TIMEOUT

    public static final String WSDL_READ_TIMEOUT

  The name of the system property whose value is the maximum amount of time, in seconds, that the `javax.wsdl.xml.WSDLReader` implementation will wait to receive a response to a request for a remote WSDL definition.

  Note that this timeout only applies to WSDL definitions read from sources specified by HTTP[S] URLs; No other protocols are currently supported.

  See Also:
    Constant Field Values

Constructor Detail

### WSDLFactoryImpl

    public WSDLFactoryImpl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD